#
#       HBS REDUCTION SUB ROUTINE
#
#       Flat field image copy : hbsflatcopy.cl
#
#
procedure hbsflatcopy

begin

  string fnbase[4], fnext[4]
  file fn1, fn2
  int i, j

  fnbase[1] = envget( "_fl2hl1" )
  fnbase[2] = envget( "_fl2hl2" )
  fnbase[3] = envget( "_fl2s21" )
  fnbase[4] = envget( "_fl2s22" )

  fnext[1] = ".px."
  fnext[2] = ".ft."
  fnext[3] = ".px."
  fnext[4] = ".ft."

  for( i=1; i<=4; i+=1 )
  {
    for( j=1; j<=4; j+=1 )
    {
      fn1 = fnbase[i]//"0"//fnext[i]//j
      if( access( fn1//".imh" ) == 0 )
      {
        printf( "Warning: '%s' not found.\n", fn1 )
	next
      }
      fn2 = fnbase[i]//"2"//fnext[i]//j
      if( access( fn2//".imh" ) == 0 )
      {
        imcopy( fn1, fn2, ver+ )
      }

      fn2 = fnbase[i]//"1"//fnext[i]//j
      if( access( fn2//".imh" ) == 0 )
      {
        imcopy( fn1, fn2, ver+ )
      }
      fn1 = fnbase[i]//"1"//fnext[i]//j
      fn2 = fnbase[i]//"3"//fnext[i]//j
      if( access( fn2//".imh" ) == 0 )
      {
        imcopy( fn1, fn2, ver+ )
      }
    }
  }

end
