#
#       HBS REDUCTION SUB ROUTINE
#
#       Copy flat image of 0.0d to those of other PA  : hbsflcp.cl
#
#       2000/12/10      K.Kawabata  Ver.0.10  for CRYOCAM manual reduc
#

procedure hbseoo


begin

  int i, j

  string fni1, fni2, fni3, fni4
  string fno1, fno2, fno3, fno4

  string fb1 = "FLAT.2HL.1t"
  string fe1 = ".px."
  string fb2 = "FLAT.2HL.2t"
  string fe2 = ".ft."
  string fb3 = "FLAT.2S2.1t"
  string fe3 = ".px."
  string fb4 = "FLAT.2S2.1t"
  string fe4 = ".ft."


  for( i=1; i<=3; i+=1 )
  {
    for( j=1; j<=4; j+=1 )
    {
      fni1 = fb1//"0"//fe1//j
      fni1 = fb2//"0"//fe2//j
      fni1 = fb3//"0"//fe3//j
      fni1 = fb4//"0"//fe4//j
      fno1 = fb1//i//fe1//j
      fno2 = fb2//i//fe2//j
      fno3 = fb3//i//fe3//j
      fno4 = fb4//i//fe4//j

      if( access( fn1//".imh" ) == 1 )
        imdelete( fn1, ver- )
      if( access( fn2//".imh" ) == 1 )
        imdelete( fn2, ver- )
      if( access( fn3//".imh" ) == 1 )
        imdelete( fn3, ver- )
      if( access( fn4//".imh" ) == 1 )
        imdelete( fn4, ver- )

      imcopy( fni1, fno1, ver+ )
      imcopy( fni2, fno2, ver+ )
      imcopy( fni3, fno3, ver+ )
      imcopy( fni4, fno4, ver+ )
    }
  }

end
