/* 2005.01.11. - 2005.01.21. */
#define X1    1      /* trim data x1 */
#define X2  512      /* trim data x2 */
#define Y1  265      /* trim data y1 */
#define Y2  464      /* trim data y2 */
#define NX0 512      /* n_x_pix of original image */
#define NY0 512      /* n_y_pix of original image */
#define NX1 512      /* n_x_pix after trimmed (= x2 - x1) */
#define NY1 200      /* n_y_pix after trimmed (= y2 - y1) */
#define SW  3400.0   /* start wavelength in dispersion correction */
#define EW  9100.0   /* end wavelength in dispersion correction */
#define DW  11.15459883 /* wavelength per on pixel in dispersion correction */
#define RSW 3450.0   /* real data existing region */
#define REW 9050.0   /* real data existing region */
#define NX2 512      /* n_x_pix after dispersion correction */
#define NY2  45      /* n_y_pix after dispersion correction */
#define DY1_2HL 24   /* Y start position of SP1 in AP extraction for 2HL */
#define DY2_2HL 120  /* Y start position of SP3 in AP extraction for 2HL */
#define DY1_2S2 28   /* Y start position of SP1 in AP extraction for 2S2 */
#define DY2_2S2 129  /* Y start position of SP3 in AP extraction for 2S2 */
#define NY2a  24.0   /* maximum y width in 1-dimensioning */
#define NX3 512     /* n_x_pix after binning */
#define OS_2HL 0.3 /* offset pixel of Sp2/4 against Sp1/3 (right+) for 2HL */
#define OS_2S2 0.3 /* offset pixel of Sp2/4 against Sp1/3 (right+) for 2S2 */
#define GEADU 0.07475 /* ADU/electron/gain */
#define NCCD 2       /* CCD chip number 1:TC215 2:SITe */
#define longitude +2.375742      /* LONGITUDE OF OBSERVATORY */
#define lattitude +0.62831853    /* LATTITUDE OF OBSERVATORY */
#define OBSERVATORY "DODAIRA_OBSERVATORY"
#define TELESCOPE "36INCH_REFLECTOR"

